package cn.net.connor.createTempDrawings.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.teamcenter.rac.aif.AbstractAIFApplication;
import com.teamcenter.rac.aif.kernel.InterfaceAIFComponent;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCComponentFolder;
import com.teamcenter.rac.kernel.TCComponentItemRevision;
import com.teamcenter.rac.util.MessageBox;

import cn.net.connor.createTempDrawings.dialogs.CreateTempDrawingDialog;

public class CreateTempDrawingHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent arg0) throws ExecutionException {
		System.out.println("ʱͼֽHandler");
		int flag = 0;
		AbstractAIFApplication application = AIFUtility.getCurrentApplication();
		//1.жѡжǷҪ
	    InterfaceAIFComponent selectComponent = application.getTargetContext().getComponent();
	    if (selectComponent == null) {
	    	MessageBox.post("ѡжٲ" , "ʾ", MessageBox.INFORMATION);
	    	return null;
		}
	    
	    System.out.println("ǰѡжΪ"+selectComponent.getType());
	    try {
			if (selectComponent instanceof TCComponentItemRevision) {
				TCComponentItemRevision itemRevision = (TCComponentItemRevision) selectComponent;
				String selectCompType = itemRevision.getStringProperty("object_type");
				if (selectCompType.equals("SB6_SZLXDRevision") || selectCompType.equals("SB6_LSWTCLTZDRevision")) {
					flag ++;
				}
	    		
			}else if (selectComponent instanceof TCComponentFolder) {
				flag ++;
			}
			
			if (flag != 0) {
				CreateTempDrawingDialog dialog = new CreateTempDrawingDialog(application, selectComponent);
				
//				new Thread(dialog).start();
			}else {
				MessageBox.post("ѡļлϵ汾ʱ⴦֪ͨ汾ִдʱͼֽܣ" , "ʾ", MessageBox.INFORMATION);
	    		
			}
			
			
		} catch (Exception e) {
			// TODO: handle exception
			System.out.println("ѡж쳣");
			e.printStackTrace();
		}
	    
		
		
		
		
		

		
		
		
		return null;
	}

}
